@import "assets/scss/global";

.container {
    position: relative;
    width: 100%;
    height: 50vh;
    max-height: 50vh;
    padding: 30px 0;
    display: flex;
    flex-direction: row;
    gap: 10px;

    height: max-content;
    min-height: 50vh;

    .type-select-section {
        width: 40%;
        display: flex;
        flex-direction: column;
        gap: 20px;
        align-self: stretch;

        .type-item {
            border-radius: 12px;
            padding: 10px;
            border: 1px solid #ccc;
            width: 100%;
            display: flex;
            flex-direction: row;
            gap: 5px;
            cursor: pointer;

            &.active {
                border-color: #7660FE;
            }

            .radio {
                width: 40px;
                height: 100%;
                display: flex;
                align-items: center;
                justify-content: center;

                input {
                    position: relative;
                    flex-shrink: 0;
                    appearance: none;
                    border-radius: 50%;
                    outline: none;
                    width: 20px;
                    height: 20px;
                    box-sizing: content-box;
                    box-shadow: 0 0 0 1px gray;
                    margin-top: 5px;

                    @include largeScreen {
                        width: 26px;
                        height: 26px;
                        margin-top: initial;
                    }

                    &:before {
                        position: absolute;
                        content: '';
                        left: 50%;
                        top: 50%;
                        transform: translate(-50%, -50%);
                        width: 10px;
                        height: 10px;
                        border-radius: 100%;
                        box-sizing: border-box;

                        @include largeScreen {
                            width: 16px;
                            height: 16px;
                        }
                    }

                    &:checked:before {
                        background: #7660FE;
                    }
                }
            }

            .text-info {
                display: flex;
                flex-direction: column;
                justify-content: center;
                gap: 5px;

                .title {
                    font-weight: 600;
                    font-size: 16px;
                    color: $dark-color;
                }

                .description {
                    font-weight: 500;
                    font-weight: 13px;
                }
            }
        }

    }

    .content-section {
        width: 60%;
        padding: 0 10px;
        display: flex;
        flex-direction: column;
        gap: 15px;

        .text-confirm {
            font-weight: 500;
            font-size: 13px;
            line-height: 17px;
            display: flex;
            justify-content: flex-start;
        }

        .text-header {
            display: flex;
            align-items: center;
            justify-content: space-between;

            span {
                font-weight: 600;
                font-size: 16px;
                line-height: 24px;
            }

            .text-total-select {
                span {
                    font-weight: 400;
                    font-size: 12px;
                    line-height: 20px;
                    color: #8E91A0;
                }
            }
        }

        .student-search {
            display: flex;

            flex-direction: row;
            align-items: center;
            width: 100%;
            gap: 10px;

            .a-input-with-label {
                width: 65%;

                [class*='input-content'] {
                    height: 40px;
                }
            }

            .a-button-reset {
                width: 100px;
                height: 40px;
                box-shadow: none;
                padding: 12px;
                cursor: pointer;
                border: 1px solid $secondary-color;
                color: $secondary-color;
                background: #FFF;

                font-size: 13px;
                line-height: 17px;
                gap: 10px;

                svg {
                    path {
                        fill: $secondary-color;
                    }
                }

                &.disabled {
                    border: 1px solid $border-color;
                    background: $secondary-color3;
                    color: $border-color;
                    cursor: not-allowed;

                    svg {
                        path {
                            fill: $border-color;
                        }
                    }
                }
            }
        }

        .group-grid {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            row-gap: 20px;
            column-gap: 20px;
            overflow-y: auto;
            padding-right: 15px;

            .group-item {
                box-sizing: border-box;

                display: flex;
                flex-direction: column;
                justify-content: flex-start;
                padding: 20px;
                gap: 10px;

                background: #FFFFFF;
                border: 1px solid #F4F7FC;
                border-radius: 8px;

                .header {
                    display: flex;
                    align-items: center;
                    justify-content: space-between;

                    .check-box-position {
                        height: 100%;
                        display: flex;
                        align-items: center;
                        justify-self: center;
                    }
                }

                .group-name,
                .group-total-student {
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                }

                .group-name {
                    color: $dark-color;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    display: -webkit-box;
                    -webkit-line-clamp: 2;
                    -webkit-box-orient: vertical;
                    word-break: break-word;
                }

                .group-total-student {
                    color: #8E91A0;
                }
            }
        }

        .table-student {
            position: relative;
            width: 100%;
            overflow-y: auto;
            border-radius: 16px 16px 0 0;
            height: max-content;
            overflow: auto;

            .row-sticky {
                position: sticky;
                top: 0;
                z-index: 1;
                border-radius: 16px 16px 0 0;
                overflow: hidden;
            }

            table {
                width: 100%;
                table-layout: fixed;

                thead {
                    tr {
                        background: #F9E5D7;

                        th {
                            text-align: left;
                            padding: 12px;
                            color: #8B5252;
                            font-weight: 600;
                            font-size: 13px;
                            line-height: 24px;

                            &:nth-child(1) {
                                width: 10%;
                            }

                            &:nth-child(2) {
                                width: 40%;
                            }

                            &:nth-child(2),
                            &:nth-child(4) {
                                width: 25%;
                            }
                        }
                    }
                }

                tbody {
                    tr {
                        &:nth-child(2n) {
                            background: #FFFFFF;
                        }

                        &:nth-child(2n + 1) {
                            background: #F7F8FC;
                        }

                        td {
                            padding: 19px 12px;
                            color: $dark-color;
                            text-align: left;
                            font-weight: 400;
                            font-size: 13px;
                            line-height: 20px;

                            &:nth-child(3) {
                                text-align: left;
                                color: $dark-color;
                                overflow: hidden;
                                white-space: nowrap;
                                text-overflow: ellipsis;
                            }
                        }
                    }
                }
            }
        }

        .table-no-data {
            position: relative;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            height: 20rem;
            width: 100%;
            gap: 10px;

            img {
                width: 22rem;
                height: 10rem;
                object-fit: contain;
                object-position: center;
            }

            span {
                font-weight: 500;
                font-size: 1.6rem;
                line-height: 2.4rem;
                text-align: center;
                color: #526375;
            }
        }
    }
}